package com.hongyegroup.cpt_ewallet.ui

import android.content.Intent
import android.os.Bundle
import com.guadou.cs_cptservices.base.activity.YYBaseVDBActivity
import com.guadou.cs_cptservices.popup.CustomNormalPopup
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.CommUtils
import com.guadou.lib_baselib.utils.KeyboardUtils
import com.hongyegroup.cpt_ewallet.BR
import com.hongyegroup.cpt_ewallet.R
import com.hongyegroup.cpt_ewallet.databinding.ActivitySalaryCardAddOneBinding
import com.hongyegroup.cpt_ewallet.mvvm.SalaryAddOneViewModel
import com.lxj.xpopup.XPopup
import dagger.hilt.android.AndroidEntryPoint

/**
 * 添加银行卡的第一步
 */
@AndroidEntryPoint
class SalaryCardAddStepOneActivity : YYBaseVDBActivity<SalaryAddOneViewModel, ActivitySalaryCardAddOneBinding>() {

    companion object {
        fun startInstance() {
            val context = CommUtils.getContext()
            val intent = Intent(context, SalaryCardAddStepOneActivity::class.java)
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            context.startActivity(intent)
        }
    }

    override fun onNewIntent(intent: Intent?) {
        super.onNewIntent(intent)
        //当重新启动此页面关闭此页面
        finish()
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_salary_card_add_one, BR.viewModel, mViewModel)
            .addBindingParams(BR.click, ClickProxy())
    }

    override fun init(savedInstanceState: Bundle?) {
        setStatusBarBlackText()
    }

    override fun startObserve() {

    }

    /**
     * DataBinding事件处理
     */
    inner class ClickProxy {

        //展示提示弹窗
        fun showTips() {
            KeyboardUtils.hideSoftInput(mActivity)

            XPopup.Builder(mActivity)
                .asCustom(
                    CustomNormalPopup(
                        mActivity, "持卡人说明",
                        "为了您的账户资金安全，\n只能绑定持卡人本人的银行卡。", "知道了"
                    )
                )
                .show()
        }

        //下一步
        fun gotoNext() {
            KeyboardUtils.hideSoftInput(mActivity)
            SalaryCardAddStepTwoActivity.startInstance()
        }

    }
}