package com.hongyegroup.cpt_ewallet.ui

import android.content.Intent
import android.os.Bundle
import com.guadou.cs_cptservices.base.activity.YYBaseVDBActivity
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.CommUtils
import com.hongyegroup.cpt_ewallet.BR
import com.hongyegroup.cpt_ewallet.R
import com.hongyegroup.cpt_ewallet.databinding.ActivityWithdrawalSuccessBinding
import com.hongyegroup.cpt_ewallet.mvvm.WithdrawalSuccessViewModel
import dagger.hilt.android.AndroidEntryPoint

@AndroidEntryPoint
class WithdrawalSuccessActivity : YYBaseVDBActivity<WithdrawalSuccessViewModel, ActivityWithdrawalSuccessBinding>() {

    companion object {
        fun startInstance() {
            val context = CommUtils.getContext()
            val intent = Intent(context, WithdrawalSuccessActivity::class.java)
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            context.startActivity(intent)
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_withdrawal_success, BR.viewModel, mViewModel)
            .addBindingParams(BR.click, ClickProxy())
    }

    override fun init(savedInstanceState: Bundle?) {
        setStatusBarBlackText()
    }

    override fun startObserve() {

    }


    /**
     * DataBinding事件处理
     */
    inner class ClickProxy {

        //点击完成
        fun withdrawFinish() {
            EWalletWithdrawalActivity.startInstance()
        }

    }
}